const { slaves } = require('../entity/slave');

function sendSolutionToClients(clients, hash, solution) {
    for (let client of clients) 
        client.send(JSON.stringify({
            'type': 'solution',
            'hash': hash,
            'solution': solution
        }));
    

}

function sendDataToClients(hashCurrent, clients) {
    for (let client of clients)
        client.send(JSON.stringify({
            'type': 'data',
            'nbMdpRunning': hashCurrent.length,
            'nbSlaveWorking': slaves.length
        }));
}

module.exports = { sendSolutionToClients, sendDataToClients }